Get report Qlik apps

GET
/api/v1/reports/{id}/apps

Get the list of Qlik apps from the report template items.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The unique ID of the report.

Formatuuid

Query Parameters

sort_by?string

Sort by field name (optional). Supported fields: "name"

name?string

Filter by app name (case-insensitive contains).

page?integer

Page number (1-based). Default is 1.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 50.

Formatint32
Range1 <= value <= 50
sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/apps"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "qAppId": "string",      "thumbnail": "string",      "spaceId": "string",      "spaceName": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "refreshMetadataDate": "2019-08-24T14:15:22Z",      "modifiedDate": "2019-08-24T14:15:22Z",      "size": "string",      "url": "string"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}